> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Manage E-Verify cases (API)

> Retrieve and manage automatically created E-Verify cases through the API. Covers the case list and detail endpoints, query parameters, and response fields.

Once [E-Verify has been configured](/i9/e-verify/configure) and Forms I-9 are completed by employees, E-Verify cases will be automatically created. As a reminder, E-Verify is configured at the employer level.

While case actions (for example, photo confirmations and unconfirmed data) are handled by administrators through the embedded experience, you can access E-Verify case data through the API to support integration, reporting, and workflow logic.

Available Endpoints

1. [Retrieve all E-Verify cases for an employer](/i9/e-verify/manage-cases-api#retrieve-all-e-verify-cases-for-an-employer)
2. [Retrieve detailed E-Verify case data](/i9/e-verify/manage-cases-api#retrieve-detailed-e-verify-case-data)
3. [Retrieve E-Verify account settings](/i9/e-verify/manage-cases-api#retrieve-e-verify-account-settings)

## Retrieve all e-verify cases for an employer

To return all cases for a specific employer, call the `/employers/{employerId}/everifyCases` GET endpoint. This endpoint returns summary information only. To view or manage a case, the employer administrator must log into the embedded E-Verify experience—see [Accessing the E-Verify Case Index](/i9/e-verify/case-index).

### Sample cURL request

```bash theme={null}
curl --location 'https://api.symmetry.com/i9/v1/employers/0197145/everifyCases' \
--header 'Authorization: Bearer ••••••'
```

#### Query parameter

| Parameter    | Type   | Required | Description                                                              |
| ------------ | ------ | -------- | ------------------------------------------------------------------------ |
| `employerId` | string | Yes      | The unique ID of the employer whose E-Verify cases you want to retrieve. |

### Sample response

```json theme={null}
{
  "everifyCases": [
    {
      "id": "0196ab0756754",
      "submissionId": 72,
      "caseId": "2025123482085BU",
      "caseStatus": "closed_authorized"
    }
  ]
}
```

#### Response fields

| Field          | Type    | Description                                                                                              |
| -------------- | ------- | -------------------------------------------------------------------------------------------------------- |
| `id`           | string  | Internal ID used to fetch full case data using the `/employers/{employerId}/everifyCases/{id}` endpoint. |
| `submissionId` | integer | ID of the I-9 submission that triggered the case.                                                        |
| `caseId`       | string  | E-Verify-assigned case ID.                                                                               |
| `caseStatus`   | string  | Current case status. See [all possible values here](/i9/e-verify/case-statuses).                         |

## Retrieve detailed E-verify case data

The `/employers/{employerId}/everifyCases/{id}` endpoint retrieves detailed information for a specific E-Verify case, including timestamps, raw response data, and audit logs.

While this endpoint gives insight into the case’s history and result, **all case actions must be taken within the embedded E-Verify experience** by the employer’s administrator.

### Sample cURL request

```bash theme={null}
curl --location 'https://api.symmetry.com/i9/v1/employers/0197ad3412345/everifyCases/36'\
--header 'Authorization: Bearer ••••••'
```

#### Query parameter

| Parameter    | Type   | Required | Description                                                                                                          |
| ------------ | ------ | -------- | -------------------------------------------------------------------------------------------------------------------- |
| `id`         | string | Yes      | The Symmetry `everifyCases.id` value returned from the `/everifyCases` endpoint. This is distinct from the `caseId`. |
| `employerId` | string | Yes      | The unique ID of the employer whose E-Verify case you want to retrieve.                                              |

### Sample response

```json theme={null}
{
  "id": "0196ab07",
  "submission": {
    "submissionId": 72,
    "employeeId": "0196ab05"
  },
  "everifyCase": {
    "caseId": "2025384082085BU",
    "caseCreatedAt": "2025-05-05T15:45:15.000-06:00",
    "caseResultAt": "2025-05-05T15:45:17.000-06:00",
    "receipt": false,
    "caseStatus": "closed_authorized",
    "everifyAccountId": 1,
    "rawResponse": {
      "caseStatus": "CLOSED",
      "caseStatusDisplay": "Closed",
      "caseEligibilityStatement": "EMPLOYMENT_AUTHORIZED"
    },
    "auditLogs": [
      {
        "name": "case_status_change",
        "details": {
          "status": "submitted"
        },
        "serverTimestamp": "2025-05-05T15:45:15-06:00"
      },
      {
        "name": "case_status_change",
        "details": {
          "status": "draft"
        },
        "serverTimestamp": "2025-05-05T15:45:15-06:00"
      },
      {
        "name": "case_status_change",
        "details": {
          "status": "closed_authorized"
        },
        "serverTimestamp": "2025-05-05T15:45:17-06:00"
      }
    ],
    "tncI9Correct": false,
    "visitEverify": false,
    "deleteable": false,
    "unconfirmedDataFields": []
  }
}
```

#### Response fields

##### Top-level response fields

| Field         | Type   | Description                                        |
| ------------- | ------ | -------------------------------------------------- |
| `id`          | string | Symmetry E-Verify case record ID                   |
| `submission`  | object | Metadata about the I-9 submission                  |
| `everifyCase` | object | Detailed case information from the E-Verify system |

##### `submission` object

| Field          | Type    | Description                        |
| -------------- | ------- | ---------------------------------- |
| `submissionId` | integer | ID of the I-9 submission           |
| `employeeId`   | string  | Unique identifier for the employee |

##### `everifyCase` object

| Field                          | Type             | Description                                                                                                                                                                                                                                                        |
| ------------------------------ | ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `caseId`                       | string           | Department of Homeland Security E-Verify case ID                                                                                                                                                                                                                   |
| `caseCreatedAt`                | timestamp        | When the case was submitted to E-Verify                                                                                                                                                                                                                            |
| `caseResultAt`                 | timestamp        | When the result was returned from E-Verify                                                                                                                                                                                                                         |
| `receipt`                      | boolean          | Indicates if a receipt was used in document verification                                                                                                                                                                                                           |
| `deadlineOn`                   | string           | Deadline for admin/employee action to resolve the case                                                                                                                                                                                                             |
| `caseStatus`                   | string           | Internal case status (e.g., `closed_authorized`). [See all possible values](/i9/e-verify/case-statuses).                                                                                                                                                           |
| `everifyAccountId`             | integer          | Symmetry's internal account ID that represents a customer's E-Verify account                                                                                                                                                                                       |
| `rawResponse`                  | object           | Returns official DHS E-Verify case status values from the E-Verify API                                                                                                                                                                                             |
| `auditLogs`                    | array            | List of events relating to the E-Verify case. See the [audit log object](/i9/compliance-and-audit-readiness/audit-logs#audit-logs-array) for more information.                                                                                                     |
| `fanUrl`                       | string           | Further Action Notice PDF URL (English)                                                                                                                                                                                                                            |
| `rdcUrl`                       | string           | Referral Date Confirmation PDF URL (English)                                                                                                                                                                                                                       |
| `fanUrlSpanish`                | string           | Further Action Notice PDF URL (Spanish)                                                                                                                                                                                                                            |
| `rdcUrlSpanish`                | string           | Referral Date Confirmation PDF URL(Spanish)                                                                                                                                                                                                                        |
| `fanReviewed`                  | boolean          | Whether the FAN has been reviewed                                                                                                                                                                                                                                  |
| `tncReview`                    | array of strings | Return a value based on the action taken by the employee                                                                                                                                                                                                           |
| `tncAction`                    | string           | Returns a value of `referred` if the employee took acton on a tentative non-confirmation                                                                                                                                                                           |
| `tncI9Correct`                 | boolean          | Whether the TNC is due to incorrect I-9 data                                                                                                                                                                                                                       |
| `closureReasons`               | array            | Closure reason codes (`name`, `code` per item)                                                                                                                                                                                                                     |
| `errors`                       | array of objects | Submission error details when present                                                                                                                                                                                                                              |
| `visitEverify`                 | boolean          | If true, must visit E-Verify's website to continue. Typically affects cases in the following statuses: `unconfirmed_data`, `scan_and_upload`, `pending_referral`, `referred`, `closed_other`, `close_case_and_resubmit`, `final_nonconfirmation`, `internal_error` |
| `submissionErrorType`          | string           | Error type                                                                                                                                                                                                                                                         |
| `duplicateContinueReasons`     | array            | Reasons selected when continuing a duplicate case                                                                                                                                                                                                                  |
| `duplicateContinueReasonCode`  | string           | Code: `REHIRE`, `PREVIOUS_CASE_RESULT_RESUBMIT`, and more                                                                                                                                                                                                          |
| `duplicateContinueReasonOther` | string           | Admin free-text for duplicate continue.                                                                                                                                                                                                                            |
| `deleteable`                   | boolean          | Indicates whether the case is eligible for deletion. Returns `true` for cases in the following statuses: `internal_error`, `submission_error`.                                                                                                                     |
| `unconfirmedDataFields`        | array            | Returns the values that cause the unconfirmed data error                                                                                                                                                                                                           |

##### `rawResponse` object

| Field                      | Type   | Description                                                                                 |
| -------------------------- | ------ | ------------------------------------------------------------------------------------------- |
| `caseStatus`               | string | E-Verify system `"case_status"` value (for example, `CLOSED`)                               |
| `caseStatusDisplay`        | string | E-Verify system  `"case_status_display"` value (for example, `Closed`)                      |
| `caseEligibilityStatement` | string | E-Verify system `"case_eligibility_statement"` value (for example, `EMPLOYMENT_AUTHORIZED`) |

##### `auditLogs` array

| Field             | Type      | Description                                                                                                                                                                                                                                                                                                                                                                                                         |
| ----------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `name`            | string    | Type of event. Possible values: `case_status_change`,   `tnc_notification_sent_event`, `case_photo_matching_confirmation`, `case_scan_and_upload`, `case_confirmed_data`, `case_close`, `case_existing_draft_close`, `case_resubmitted`, `tnc_no_action`, `tnc_refer_case`                                                                                                                                          |
| `details.status`  | string    | E-Verify case status. Possible values: `closed_authorized`, `closed_nonconfirmation`, `closed_other`, `created`, `draft`, `employment_authorized`, `final_nonconfirmation`, `close_case_and_resubmit`, `internal_error`, `manual_review`, `pending_referral`, `manually_closed`, `photo_match`, `queued`, `referred`, `scan_and_upload`, `submission_error`, `submitted`, `unconfirmed_data`, `unsubmitted_receipt` |
| `serverTimestamp` | timestamp | When the status change occurred                                                                                                                                                                                                                                                                                                                                                                                     |

## Retrieve E-Verify account settings

Use the `/employers/{employerId}/everifySettings` GET endpoint to retrieve the current E-Verify configuration for an employer. This is helpful for verifying whether E-Verify has been configured and for displaying the stored administrator and credential settings in a UI.

### Sample cURL request

```bash theme={null}
curl --location 'https://api.symmetry.com/i9/v1/employers/0197145/everifySettings' \
--header 'Authorization: Bearer ••••••'
```

#### Query parameter

| Parameter    | Type   | Required | Description                                                              |
| ------------ | ------ | -------- | ------------------------------------------------------------------------ |
| `employerId` | string | Yes      | The unique ID of the employer whose E-Verify cases you want to retrieve. |

### Sample response

```json theme={null}
{
  "everifySettings": {
    "companyId": "123456",
    "programAdministratorEmail": "john.doe@example.com",
    "programAdministratorFirstName": "John",
    "programAdministratorId": "789012",
    "programAdministratorLastName": "Doe",
    "programAdministratorPhone": "234-567-8901",
    "webServiceUsername": "everify_user"
  }
}
```

#### Elements

| Element                         | Description                                                                                          |
| ------------------------------- | ---------------------------------------------------------------------------------------------------- |
| `companyId`                     | The employer's E-Verify Company ID found in the Company Profile within the E-Verify portal           |
| `programAdministratorId`        | The E-Verify user profile ID found on the User Profile page                                          |
| `programAdministratorFirstName` | The E-Verify user’s first name from the User Profile                                                 |
| `programAdministratorLastName`  | The E-Verify user’s last name from the User Profile                                                  |
| `programAdministratorEmail`     | The E-Verify user’s email address from the User Profile                                              |
| `programAdministratorPhone`     | The E-Verify user’s phone number from the User Profile                                               |
| `webServiceUsername`            | The Web Services user ID found within the Web Services profile (this is an ID, not an email address) |
| `webServicePassword`            | The Web Services password associated with the Web Services user                                      |
